## nom.tam.fits
Class FitsDate

    java.lang.Object
      nom.tam.fits.FitsDate

public class FitsDate
extends Object

Constructor Summary
`FitsDate(String dStr)` Convert a FITS date string to a Java `Date` object.

Method Summary
`static void` `autotest()`
`static void` `main(String[] args)`
`static void` `testArgs(String[] args)`
`Date` `toDate()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FitsDate

    public FitsDate(String dStr)
             throws FitsException

  Convert a FITS date string to a Java `Date` object.

Parameters:
  `dStr` - the FITS date
Throws:
  `FitsException` - if `dStr` does not contain a valid FITS date.

Method Detail

### toDate

    public Date toDate()

### toString

    public String toString()

### testArgs

    public static void testArgs(String[] args)

### autotest

    public static void autotest()

### main

    public static void main(String[] args)